org.apache.hadoop.yarn.api.protocolrecords

## Class ReservationSubmissionResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class ReservationSubmissionResponse
      extends Object

  The response sent by the `ResourceManager` to a client on reservation submission.

  Currently, this is empty.

  `ApplicationClientProtocol#submitReservation( ReservationSubmissionRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReservationSubmissionResponse()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReservationSubmissionResponse` | `newInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservationSubmissionResponse

          public ReservationSubmissionResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static ReservationSubmissionResponse newInstance()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.